Pimcore upgrade from V4 to V5 only

I tried to upgrade a V4 Pimcore website to V5 and follow this doc :
https://pimcore.com/docs/5.x/Development_Documentation/Installation_and_Upgrade/Updating_Pimcore/Upgrade_from_4_to_5/Basic_Migration.html

But when i follow this :
Replace your composer.json with this one and re-add your custom dependencies.

It make a reference to Pimcore V6,
Would we not use this file instead ?

To be in pimcore 5.4 to stay in the same version as the following :
The pimcore-migrations-40-to-54.php script contains all migrations which were introduced from Pimcore 5.0 to 5.4 and are needed when migrating from Pimcore 4. To execute the script, use the following command (making a backup at this stage is strongly recommended):

Thank you,